package com.gh.download.dialog

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder
import com.gh.gamecenter.VoteActivity
import com.gh.gamecenter.databinding.DownloadDialogPlatformRequestItemBinding
import com.gh.gamecenter.entity.GameEntity

class DownloadDialogPlatformRequestItemViewHolder(val binding: DownloadDialogPlatformRequestItemBinding) :
    BaseRecyclerViewHolder<Any>(binding.root) {

    fun bindItem(gameEntity: GameEntity) {
        binding.content.setOnClickListener {
            val intent = VoteActivity.getIntent(it.context, gameEntity.name, gameEntity.id)
            it.context.startActivity(intent)
//            MtaHelper.onEvent(DownloadDialog.MTA_KEY, "点击", gameEntity.name + "_求版本")
        }
    }
}